/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.dd;


/**
 * Represents an <container-transaction> element of the ejb-jar.xml deployment descriptor
 * for the 1.4 schema
 *
 * @author <a href="mailto:bdecoste@jboss.com">William DeCoste</a>
 * @version <tt>$Revision: 1.3.2.3 $</tt>
 */
public class ContainerTransaction
{

   private String transAttribute;

   private Method method;

   public String getTransAttribute()
   {
      return transAttribute;
   }

   public void setTransAttribute(String transAttribute)
   {
      this.transAttribute = transAttribute;
   }

   public Method getMethod()
   {
      return method;
   }

   public void setMethod(Method method)
   {
      this.method = method;
   }

   public String toString()
   {
      StringBuffer sb = new StringBuffer(100);
      sb.append("[");
      sb.append("ejbRelationName=").append(transAttribute);
      sb.append("]");
      return sb.toString();
   }
}
